Package org.apache.sysds.runtime.controlprogram.parfor

# Class RemoteDPParForSpark

java.lang.Object
org.apache.sysds.runtime.controlprogram.parfor.RemoteDPParForSpark

public class RemoteDPParForSpark extends Object
TODO heavy hitter maintenance TODO data partitioning with binarycell

## Constructor Summary

Constructors
Constructor
Description
`RemoteDPParForSpark()`

## Method Summary

Modifier and Type
Method
Description
`static RemoteParForJobReturn`
`runJob(long pfid, String itervar, String matrixvar, String program, HashMap<String,byte[]> clsMap, String resultFile, MatrixObject input, ExecutionContext ec, ParForProgramBlock.PartitionFormat dpf, Types.FileFormat fmt, boolean tSparseCol, boolean enableCPCaching, int numReducers)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RemoteDPParForSpark

public RemoteDPParForSpark()

## Method Details

### runJob

public static RemoteParForJobReturn runJob(long pfid, String itervar, String matrixvar, String program, HashMap<String,byte[]> clsMap, String resultFile, MatrixObject input, ExecutionContext ec, ParForProgramBlock.PartitionFormat dpf, Types.FileFormat fmt, boolean tSparseCol, boolean enableCPCaching, int numReducers)